edu.isi.pegasus.planner.provenance.pasoa

## Interface XMLProducer

All Known Implementing Classes:
  InMemory

    public interface XMLProducer

A PASOA specific interface to generate various assertions as XML.

Version:
  $Revision$
Author:
  Karan Vahi

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add(java.lang.String xml)` Adds an XML fragment to the internal XML store
`void` `clear()` Clears the internal state.
`java.lang.String` `toXML()` Returns the interaction assertions as a XML blob.
`void` `toXML(java.io.Writer writer)` Returns the xml description of the object.

### Method Detail

#### clear

    void clear()

Clears the internal state.

#### add

    void add(java.lang.String xml)

Adds an XML fragment to the internal XML store

Parameters:
  `xml` - the XML fragment to be added.

#### toXML

    void toXML(java.io.Writer writer)
        throws java.io.IOException

Returns the xml description of the object. This is used for generating the partition graph. That is no longer done.

Parameters:
  `writer` - is a Writer opened and ready for writing. This can also be a StringWriter for efficient output.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### toXML

    java.lang.String toXML()
                    throws java.io.IOException

Returns the interaction assertions as a XML blob.

Returns:
  String
Throws:
  `java.io.IOException` - if something fishy happens to the stream.